Bug 728857 - virtuoso-opensource: encoding error with KDE NEPOMUK.
virtuoso-opensource: encoding error with KDE NEPOMUK.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: virtuoso-opensource (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
AcceptedBlocker
: Triaged
Depends On:
Blocks: F16Blocker-kde
  Show dependency treegraph
 
Reported: 2011-08-08 03:11 EDT by Ernesto Manríquez
Modified: 2011-10-09 22:50 EDT (History)
4 users (show)

See Also:
Fixed In Version: virtuoso-opensource-6.1.3-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-30 15:50:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 271664 None None None Never
KDE Software Compilation 275632 None None None Never

  None (edit)
Description Ernesto Manríquez 2011-08-08 03:11:49 EDT
Description of problem:

With Virtuoso 6.1.3, my NEPOMUK index develop a lot of duplicate entries and a lot of wasteful reindexing, with files containing other than the 127 ASCII characters in their name. The problem disappears if I downgrade Virtuoso to 6.1.2 and regenerate the NEPOMUK index.

The problem is known upstream, and this is a virtuoso-opensource 6.1.3 exclusive bug. Apparently, this bug was fixed after the 6.1.3 release.

https://bugs.kde.org/show_bug.cgi?id=271664

The fix for this bug is either to downgrade Virtuoso to 6.1.2, or to package a 6.1.4 snapshot with this bug fixed.

Version-Release number of selected component (if applicable):
virtuoso-opensource-6.1.3

How reproducible:
1. Upgrade Virtuoso over a KDE install.
2. Have NEPOMUK index a file containing "extended characters".
3. You will reindex this file constantly. Also, if you try to look for those characters, search won't work.
4. Repeat with VOS 6.1.2. Indexing will work.

Actual results:
NEPOMUK unusable with any file containing extended characters.

Expected results:
I can use fully the NEPOMUK system.
Comment 1 Rex Dieter 2011-08-08 08:53:07 EDT
Thanks.

I'll go hunting for the upstream (virtuoso) bug, and hopefully find a patch soon.
Comment 2 Ernesto Manríquez 2011-08-24 13:50:10 EDT
Compiled a git checkout from the stable tree, and I noticed there's a workaround in preparation for KDE SC 4.7.1.
Comment 3 Rex Dieter 2011-08-24 14:07:36 EDT
nice, thanks.
Comment 4 Ernesto Manríquez 2011-09-08 15:27:16 EDT
We have a patch, published today. That means: we have a green flag to include Virtuoso 6.1.3 in subsequent Fedora releases.

https://bugs.kde.org/attachment.cgi?id=63510
Comment 5 Fedora Update System 2011-09-14 13:59:43 EDT
virtuoso-opensource-6.1.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/virtuoso-opensource-6.1.3-2.fc16
Comment 6 Fedora Update System 2011-09-15 17:20:47 EDT
Package virtuoso-opensource-6.1.3-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing virtuoso-opensource-6.1.3-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/virtuoso-opensource-6.1.3-2.fc16
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2011-09-22 09:07:09 EDT
virtuoso-opensource-6.1.3-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/virtuoso-opensource-6.1.3-2.fc15
Comment 8 Adam Williamson 2011-09-30 15:39:08 EDT
Discussed at the 2011-09-30 blocker review meeting. Our understanding is the impact of this would be desktop searches would be useless as the indexes would be broken, and possibly also system resource use would be elevated. On that basis, accepted as a blocker per criterion "All applications listed under the Applications menu or category must withstand a basic functionality test and not crash after a few minutes of normal use. They must also have working Help and Help -> About menu items" (as effectively the desktop search 'application' would be useless). If our understanding is incorrect, please advise. Thanks!
Comment 9 Fedora Update System 2011-09-30 15:50:37 EDT
virtuoso-opensource-6.1.3-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-10-09 22:50:18 EDT
virtuoso-opensource-6.1.3-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.